xapian-core 2.0.0

Namespaces | Functions
dbfactory.h File Reference

Factory functions for constructing Database and WritableDatabase objects. More...

## Namespaces
namespace | Xapian
| The Xapian namespace contains public interfaces for the Xapian library.
namespace | Xapian::Remote
| Database factory functions for the remote backend.

## Functions
Database | Xapian::Remote::open (std::string_view host, unsigned int port, unsigned timeout=10000, unsigned connect_timeout=10000)
| Construct a Database object for read-only access to a remote database accessed via a TCP connection.
WritableDatabase | Xapian::Remote::open_writable (std::string_view host, unsigned int port, unsigned timeout=0, unsigned connect_timeout=10000, int flags=0)
| Construct a WritableDatabase object for update access to a remote database accessed via a TCP connection.
Database | Xapian::Remote::open (std::string_view program, std::string_view args, unsigned timeout=10000)
| Construct a Database object for read-only access to a remote database accessed via a program.
WritableDatabase | Xapian::Remote::open_writable (std::string_view program, std::string_view args, unsigned timeout=0, int flags=0)
| Construct a WritableDatabase object for update access to a remote database accessed via a program.

## Detailed Description

Factory functions for constructing Database and WritableDatabase objects.